All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.dataitems
Class DisabledDataItemRenderer

    com.sas.swing.visuals.dataselectors.dataitems.DisabledDataItemRenderer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants, javax.swing.tree.TreeCellRenderer

    @SASScope(value="ALL")
    public class DisabledDataItemRenderer

A tree cell renderer implementation that allows the nodes of a tree to appear as disabled nodes.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COLUMNS` Node category key for grouping the nodes as Columns
`static java.lang.String` | `DIMENSIONS` Node category key for grouping the nodes as Dimensions
`protected javax.swing.Icon` | `disabledClosedIcon` The icon for a disabled collapsed node
`protected javax.swing.Icon` | `disabledLeafIcon` The icon for a disabled leaf node
`protected javax.swing.Icon` | `disabledOpenIcon` The icon for an disabled expanded node
`static java.lang.String` | `HIERARCHIES` Node category key for grouping the nodes as Hierarchies
`static java.lang.String` | `LEVELS` Node category key for grouping the nodes as Levels
`static java.lang.String` | `MEASURES` Node category key for grouping the nodes as Measures

Constructor Summary
`DisabledDataItemRenderer()` Default constructor

Method Summary
`java.awt.Component` | `getTreeCellRendererComponent(javax.swing.JTree tree, java.lang.Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)` Configures a renderer based on values on the passed in components.
`void` | `setDisabledClosedIcon(javax.swing.Icon icon)` Sets the disabled collapsed node icon
`void` | `setDisabledLeafIcon(javax.swing.Icon icon)` Sets the disabled leaf node icon
`void` | `setDisabledOpenIcon(javax.swing.Icon icon)` Sets the disabled expanded node icon

Field Detail

### disabledLeafIcon

    protected javax.swing.Icon disabledLeafIcon

  The icon for a disabled leaf node

### disabledOpenIcon

    protected javax.swing.Icon disabledOpenIcon

  The icon for an disabled expanded node

### disabledClosedIcon

    protected javax.swing.Icon disabledClosedIcon

  The icon for a disabled collapsed node

### HIERARCHIES

    public static final java.lang.String HIERARCHIES

  Node category key for grouping the nodes as Hierarchies

  See Also:
    Constant Field Values

### LEVELS

    public static final java.lang.String LEVELS

  Node category key for grouping the nodes as Levels

  See Also:
    Constant Field Values

### MEASURES

    public static final java.lang.String MEASURES

  Node category key for grouping the nodes as Measures

  See Also:
    Constant Field Values

### DIMENSIONS

    public static final java.lang.String DIMENSIONS

  Node category key for grouping the nodes as Dimensions

  See Also:
    Constant Field Values

### COLUMNS

    public static final java.lang.String COLUMNS

  Node category key for grouping the nodes as Columns

  See Also:
    Constant Field Values

Constructor Detail

### DisabledDataItemRenderer

    public DisabledDataItemRenderer()

  Default constructor

Method Detail

### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent(javax.swing.JTree tree,
                                                           java.lang.Object value,
                                                           boolean sel,
                                                           boolean expanded,
                                                           boolean leaf,
                                                           int row,
                                                           boolean hasFocus)

  Configures a renderer based on values on the passed in components. The value parameter must be an instance of com.sas.swing.visuals.dataselectors.dataitems.DisabledNode. The enabled status and category value is determined by the user object of the passed in tree node.

  Specified by:
    `getTreeCellRendererComponent` in interface `javax.swing.tree.TreeCellRenderer`
  Overrides:
    `getTreeCellRendererComponent` in class `javax.swing.tree.DefaultTreeCellRenderer`
  Parameters:
    `tree` - - the JTree containing the node
    `value` - - the node to render
    `sel` - - true if the node is selected
    `expanded` - - true if the node is expanded
    `leaf` - - true if the node is a leaf node
    `row` - - the node's display row
    `hasFocus` - - true if the node has focus

### setDisabledLeafIcon

    public void setDisabledLeafIcon(javax.swing.Icon icon)

  Sets the disabled leaf node icon

  Parameters:
    `icon` - - the disabled leaf node icon

### setDisabledOpenIcon

    public void setDisabledOpenIcon(javax.swing.Icon icon)

  Sets the disabled expanded node icon

  Parameters:
    `icon` - - the disabled expanded icon

### setDisabledClosedIcon

    public void setDisabledClosedIcon(javax.swing.Icon icon)

  Sets the disabled collapsed node icon

  Parameters:
    `icon` - - the disabled collapsed icon

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.